CompleteTask
POST
/api/v1/t/{tenant}/workflows/tasks/{taskId}/complete
const url = 'https://example.com/api/v1/t/example/workflows/tasks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"outcome":"Approved","comment":"example","fileId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/t/example/workflows/tasks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete \ --header 'Content-Type: application/json' \ --data '{ "outcome": "Approved", "comment": "example", "fileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”tenant
required
string
Tenant slug
taskId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
outcome
required
comment
required
null | string
fileId
null | string format: uuid
Responses
Section titled “ Responses ”No Content
Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}